/*
 * Copyright 2021 Neural Layer
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.roboquant.binance

import org.junit.Test
import org.roboquant.common.TimeFrame
import org.roboquant.common.days
import kotlin.test.assertEquals
import kotlin.test.assertTrue

internal class BinanceHistoricFeedTest {

    @Test
    fun test() {
        System.getProperty("TEST_BINANCE") ?: return
        val feed = BinanceHistoricFeed()
        val tf = TimeFrame.past(100.days)
        feed.retrieve("BTC-BUSD", timeFrame = tf)
        assertEquals(1, feed.assets.size)
        assertTrue(feed.availableAssets.isNotEmpty())
    }

}